Package com.xebialabs.deployit.plugin.api.validation

# Class ValidationMessage

java.lang.Object
com.xebialabs.deployit.plugin.api.validation.ValidationMessage

All Implemented Interfaces:
  `Serializable`

public final class ValidationMessage extends Object implements Serializable
A ValidationMessage may be returned for certain operations, related to specific property of a `ConfigurationItem`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ValidationMessage.Level`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationMessage(String ciId, String propertyName, String message)`
  `ValidationMessage(String ciId, String propertyName, String message, ValidationMessage.Level level)`
  `ValidationMessage(String ciId, String propertyName, String message, String level)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ValidationMessage`
  `error(String ciId, String propertyName, String message)`
  `String`
  `getCiId()`
  `ValidationMessage.Level`
  `getLevel()`
  `String`
  `getMessage()`
  `String`
  `getPropertyName()`
  `static ValidationMessage`
  `info(String ciId, String propertyName, String message)`
  `String`
  `toString()`
  `static ValidationMessage`
  `warn(String ciId, String propertyName, String message)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidationMessage

    public ValidationMessage(String ciId, String propertyName, String message, String level)

  - ### ValidationMessage

    public ValidationMessage(String ciId, String propertyName, String message, ValidationMessage.Level level)

  - ### ValidationMessage

    public ValidationMessage(String ciId, String propertyName, String message)

- ## Method Details

  - ### error

    public static ValidationMessage error(String ciId, String propertyName, String message)

  - ### warn

    public static ValidationMessage warn(String ciId, String propertyName, String message)

  - ### info

    public static ValidationMessage info(String ciId, String propertyName, String message)

  - ### getCiId

    public String getCiId()
    Returns:
      The id of the `ConfigurationItem`.

  - ### getPropertyName

    public String getPropertyName()
    Returns:
      The name of the property.

  - ### getMessage

    public String getMessage()
    Returns:
      The validation message.

  - ### getLevel

    public ValidationMessage.Level getLevel()
    Returns:
      The validation message level.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`